<!--[metadata]>
+++
title = "Supported installations for Docker Engine"
description = "Lists the installation methods"
keywords = ["Docker install "]
+++
<![end-metadata]-->

# Install Docker Engine 

Docker Engine is supported on Linux, Cloud, Windows, and OS X. Installation instructions are available for the following: 

## On Linux
* [Arch Linux](archlinux.md)
* [CentOS](centos.md)
* [CRUX Linux](cruxlinux.md)
* [Debian](debian.md)
* [Fedora](fedora.md)
* [FrugalWare](frugalware.md)
* [Gentoo](gentoolinux.md)
* [Oracle Linux](oracle.md)
* [Red Hat Enterprise Linux](rhel.md)
* [openSUSE and SUSE Linux Enterprise](SUSE.md)
* [Ubuntu](ubuntulinux.md)

If your linux distribution is not listed above, don't give up yet. To try out Docker on a distribution that is not listed above, go here: [Installation from binaries](binaries.md).

## On Cloud
* [Amazon EC2 Installation](amazon.md)
* [Install on Joyent Public Cloud](joyent.md)
* [Google Cloud Platform](google.md)
* [IBM SoftLayer](softlayer.md)
* [Microsoft Azure platform](azure.md)
* [Rackspace Cloud](rackspace.md)

## On OSX and Windows
* [Mac OS X](mac.md)
* [Windows](windows.md)

## The Docker Archives 
Instructions for installing prior releases of Docker can be found in the following docker archives:
[Docker v1.7](http://docs.docker.com/v1.7/), [Docker v1.6](http://docs.docker.com/v1.6/), [Docker v1.5](http://docs.docker.com/v1.5/), and [Docker v1.4](http://docs.docker.com/v1.4/).

## Where to go After Installing
* [About Docker](../misc)
* [Support](https://www.docker.com/support/)
* [Training](https://training.docker.com//)

